<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="(user$ | async) as user">
  <div class="toolbar flex justify-between w-full items-center">
    <div class="flex">
      <div class="bg-primary-50">
        <div class="w-48 h-full pr-2">
          <app-logo class="w-full h-full"></app-logo>
        </div>
      </div>
      <div class="bg-primary-50 rounded-r-full h-[58px] w-20"></div>
    </div>
    <div *ngIf="isLoggedIn" class="h-full">
      <app-navigation></app-navigation>
    </div>
    <div class="h-full flex items-center">
      <app-notifications *ngIf="isLoggedIn" class="h-full"></app-notifications>
      <app-user-profile class="h-full"></app-user-profile>
    </div>
  </div>
</ng-container>
